### Class

# Clutter FrameClock

#### Description

    final class Clutter.FrameClock : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### clutter_frame_clock_new

No description available.

#### Instance methods

###### clutter_frame_clock_add_future_time

No description available.

###### clutter_frame_clock_add_timeline

No description available.

###### clutter_frame_clock_destroy

No description available.

###### clutter_frame_clock_get_max_render_time_debug_info

No description available.

###### clutter_frame_clock_get_refresh_rate

No description available.

###### clutter_frame_clock_inhibit

No description available.

###### clutter_frame_clock_notify_presented

No description available.

###### clutter_frame_clock_notify_ready

No description available.

###### clutter_frame_clock_record_flip_time

No description available.

###### clutter_frame_clock_remove_timeline

No description available.

###### clutter_frame_clock_schedule_update

No description available.

###### clutter_frame_clock_schedule_update_now

No description available.

###### clutter_frame_clock_set_deadline_evasion

No description available.

###### clutter_frame_clock_set_mode

No description available.

###### clutter_frame_clock_uninhibit

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Clutter.FrameClock::destroy

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterFrameClockClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.